OpenVDB 13.0.0

Loading...
Searching...
No Matches
MapsUtil.h File Reference
`#include <openvdb/math/Maps.h>`
`#include <algorithm>`
`#include <cmath>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::util

## Functions
template<typename MapType>
void | calculateBounds (const MapType &map, const BBoxd &in, BBoxd &out)
| Calculate an axis-aligned bounding box in the given map's domain (e.g., index space) from an axis-aligned bounding box in its range (e.g., world space).
template<typename MapType>
void | calculateBounds (const MapType &map, const Vec3d &center, const Real radius, BBoxd &out)
| Calculate an axis-aligned bounding box in the given map's domain from a spherical bounding box in its range.
template<>
void | calculateBounds< math::NonlinearFrustumMap > (const math::NonlinearFrustumMap &frustum, const Vec3d &center, const Real radius, BBoxd &out)
| Calculate an axis-aligned bounding box in index space from a spherical bounding box in world space.